Download it now!
Bug 131146 - Linked Calc: changes are lost in last edited cell
Summary: Linked Calc: changes are lost in last edited cell
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Calc (show other bugs)
Version:
(earliest affected)
unspecified
Hardware: All All
: medium normal
Assignee: Serge Krot (CIB)
URL:
Whiteboard: target:7.0.0 target:6.4.3
Keywords:
Depends on:
Blocks:
 
Reported: 2020-03-05 09:55 UTC by Serge Krot (CIB)
Modified: 2020-03-10 23:58 UTC (History)
1 user (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Serge Krot (CIB) 2020-03-05 09:55:20 UTC
Use case-1:
-    Open writer doc with embedded external calc doc
-    Open for editing embedded external calc
-    Type something in any cell
-    click outside the embedded external calc
-    result: external calc was not saved with provided changes in the cell (wrong)

Use case-2:
-    Open writer doc with embedded external calc doc
-    Open for editing embedded external calc
-    Type something in any cell
-    Press ENTER in the cell
-    click outside the embedded external calc
-    result: external calc was saved with provided changes in the cell (OK)
Comment 1 Serge Krot (CIB) 2020-03-05 10:00:20 UTC
Prepared patch: https://gerrit.libreoffice.org/c/core/+/90009
Comment 2 Commit Notification 2020-03-06 15:26:57 UTC
Serge Krot committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/a91e19e30833c2743c1c2ce010a2d0f06aad7706

tdf#131146 Linked Calc: changes are lost in last edited cell

It will be available in 7.0.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 3 Commit Notification 2020-03-10 23:58:22 UTC
Serge Krot committed a patch related to this issue.
It has been pushed to "libreoffice-6-4":

https://git.libreoffice.org/core/commit/b5762d877423579a483fc531597597a3204cc730

tdf#131146 Linked Calc: changes are lost in last edited cell

It will be available in 6.4.3.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.